> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit feedback for AI case summary



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/cases/{id}/ai-summary-feedback
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/cases/{id}/ai-summary-feedback:
    post:
      tags:
        - Cases
      summary: Submit feedback for AI case summary
      operationId: CasesController_submitAISummaryFeedback
      parameters:
        - name: id
          required: true
          in: path
          description: Case identifier
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AISummaryFeedbackDto'
      responses:
        '204':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    AISummaryFeedbackDto:
      type: object
      properties:
        liked:
          type: boolean
          description: Whether the user liked the AI summary
        reason:
          type: string
          nullable: true
          description: Optional reason when the user dislikes the AI summary
      required:
        - liked
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````